Role Name
=========

Launch the KNX monitor.

Requirements
------------

None

Role Variables
--------------

```yml
knx_monitor:
  docker_version: "latest"
  gateway_ip: "localhost"
  config_path: "~/knx-monitor"
  topology_source: "./topology.csv"

  influx:
    url: "http://localhost:8086"
    bucket: "my_bucket"
    org: "example.com"
    token: "change_me"
```

Dependencies
------------

You need to have docker installed on the target machine and influxdb installed somewhere to collect data.

Example Playbook
----------------

Including an example of how to use your role (for instance, with variables passed in as parameters) is always nice for users too:

```yml
- hosts: servers
  roles:
    - "laurivan.knx_monitor"
```

License
-------

MIT

Author Information
------------------

This role was created in 2022 by [Laur Ivan](https://www.laurivan.com).
